/*
code is for driving /dev/lol lock motor
*/

#define MPWM 3         // Jeenode Port1-4 I(rq) Arduino 3
#define MDIR 4         // Jeenode Port1 D Arduino 4
#define MSEN A0        // Jeenode Port1 A Arduino A0
#define UDELAY 2       // RampUp delay time 
#define DDELAY 2       // RampDown delay time 
#define RDELAY 100     // Fullspeed Run time 
#define SENSCAL 1.62   // Current Sensor Calibration Factor 1.62 (bc -l) 

void setup()  { 
  pinMode(MPWM, OUTPUT);
  pinMode(MDIR, OUTPUT);
  digitalWrite(MDIR, LOW);
  digitalWrite(MPWM, LOW);
  Serial.begin(115200); // do fast
} 

void printCurrent() {
  int sensorValue =0;
  sensorValue = analogRead(MSEN);
  //Serial.print("sensor = " );                       
  //Serial.print(sensorValue);
  Serial.print(" I = " ); 
  Serial.print(sensorValue/SENSCAL);  
  Serial.println(" mA" ); 
}
void rampUp() {
    for(int fadeValue = 1 ; fadeValue <= 255; fadeValue +=1) { 
    analogWrite(MPWM, (fadeValue));
    delay(UDELAY);                            
    } 
}
void rampDown() {
    for(int fadeValue = 255 ; fadeValue >= 1; fadeValue -=1) {        
    analogWrite(MPWM, (fadeValue));
    delay(DDELAY);
    }
}
void driveMo(int MoDir,int DriveTime) {
    if (MoDir == 0) {
      digitalWrite(MDIR, LOW);
      Serial.println("FWD" );
    }
    else {
      digitalWrite(MDIR, HIGH);
      Serial.println("BWD" );
    }
    rampUp();
    for(int fadeValue = 1 ; fadeValue <= DriveTime; fadeValue +=1) { 
    analogWrite(MPWM, 255);
    delay(RDELAY);  
    printCurrent(); 
    } 
    analogWrite(MPWM, 0);
    Serial.println("STP" );  
}
void printhelp() {
  Serial.println("\nPress O to open the Lock");
  Serial.println("Press C to close the Lock");
}
void openLock() {
  driveMo(0,25);
  Serial.println("Lock Open" );
}

void closeLock() {
  driveMo(1,25);
  Serial.println("Lock Closed" );
}

void loop()  { 
  if (Serial.available() > 0) {
    int thisChar = Serial.read();
    if(isAlpha(thisChar)) {
      Serial.println("Got Char");
      if(thisChar == 79 ) {         // got O (Uppercase) open
        openLock();
      } 
      else if (thisChar == 67 ) {   // got C (Uppercase) close
        closeLock();
      }
      else {
        printhelp();
      }
    }
    else {
        printhelp();
    }
  } 
}

