#!/usr/bin/python3

##
# Copyright 2014, Aurel Wildfellner.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

import sys

from cmdapi import CmdAPIClient


def printHelp():
    print("console_apiclient.py [lock|unlock|lockafterme|info]")


def main():

    if len(sys.argv) < 2:
        printHelp()
        exit(1)

    client = CmdAPIClient()
    client.connect()

    cmd = sys.argv[1]
    if cmd == "lock":
        rec = client.sendDOLOCK()
    elif cmd == "unlock":
        rec = client.sendDOUNLOCK()
    elif cmd == "lockafterme":
        rec = client.sendDOLOCKAFTERME()
    elif cmd == "info":
        rec = client.sendINFO()
    else:
        printHelp()
        client.disconnect()
        exit(1)

    print(rec)
    client.disconnect()



if __name__ == "__main__":
    main()

