#!/usr/bin/python3

###
# Copyright 2014, Aurel Wildfellner.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#

from getpass import getpass
import accountdb


def main():
    db = accountdb.AccountDB()
    print("User Name: ", end="")
    username = input()
    pw0 = getpass("Enter Password: ")
    pw1 = getpass("Retype Password: ")

    if (pw0 != pw1):
        print("ERROR: Password Mismatch!")
        exit(1)

    db.addAccount(username, pw0)
    db.saveDB("newaccount.csv")
    print("New Account saved to 'newaccount.csv'")

if __name__ == "__main__":
    main()

