##
# Copyright 2014, Aurel Wildfellner.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#


class User(object):

    allUsers = {} 

    def __init__(self, name, accountDB):
        self.name = name
        self._authenticated = False
        self.accountDB = accountDB

        User.allUsers[self.get_id()] = self


    def login(self, password):
        self._authenticated = self.accountDB.identify(self.name, password)
        return self._authenticated


    def logout(self):
        uid = self.get_id()
        if uid in User.allUsers:
            del User.allUsers[uid]


    ###### flask-login User implementation ######
    def is_authenticated(self):
        return self._authenticated


    def is_active(self):
        return True


    def is_anonymous(self):
        return False


    def get_id(self):
        return self.name
    #############################################

